# https://fedoraproject.org/wiki/Packaging:Haskell

# Link Haskell libs statically for 3x faster startup speed.
%define ghc_without_dynamic 1

Name:           scripts-static-cat
Version:        0.0
Release:        0.%{scriptsversion}%{?dist}
Summary:        static-cat for scripts.mit.edu

License:        GPL+
URL:            http://scripts.mit.edu/
Source0:        %{name}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-MonadCatchIO-mtl-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-cgi-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-old-locale-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-unix-devel
BuildRequires:  ghc-unix-handle-devel
# End cabal-rpm deps

%description
static-cat is a binary for serving static content on scripts.mit.edu.


%prep
%setup -q -n %{name}


%build
%ghc_bin_build


%install
%ghc_bin_install


%files
%attr(755,root,root) %{_bindir}/static-cat


%changelog
* Mon May 26 2014 Alexander Chernyakhovsky <achernya@mit.edu> - 0.0-0
- Updated for F20 with cabal-rpm

* Fri May 25 2012 Anders Kaseorg <andersk@mit.edu> - 0.0-0
- regenerated packaging with cabal2spec-0.25.5

* Mon May  2 2011 Alexander Chernyakhovsky <achernya@mit.edu> - 0.0-0
- regenerated packaging with cabal2spec-0.22.5

* Thu Sep  9 2010 Anders Kaseorg <andersk@mit.edu> - 0.0-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.1
